SystemMemberCacheServer (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface SystemMemberCacheServer

- Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface SystemMemberCacheServer

  Administrative interface that represents a `CacheServer` that serves the contents of a system member's cache to clients.
  Since:
    GemFire 5.7
  See Also:
    `SystemMemberCache.addCacheServer()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBindAddress()` Deprecated. Returns a string representing the ip address or host name that this server will listen on.
    `String[]` | `getGroups()` Deprecated. Returns the list of server groups that this cache server belongs to.
    `String` | `getHostnameForClients()` Deprecated. Returns a string representing the ip address or host name that server locators will tell clients that this server is listening on.
    `long` | `getLoadPollInterval()` Deprecated. Get the frequency in milliseconds to poll the load probe on this cache server.
    `String` | `getLoadProbe()` Deprecated. Get a description of the load probe for this cache server.
    `int` | `getMaxConnections()` Deprecated. Returns the maximum allowed client connections
    `int` | `getMaximumMessageCount()` Deprecated. Returns the maximum number of messages that can be enqueued in a client-queue.
    `int` | `getMaximumTimeBetweenPings()` Deprecated. Returns the maximum amount of time between client pings.
    `int` | `getMaxThreads()` Deprecated. Returns the maximum number of threads allowed in this server to service client requests.
    `int` | `getMessageTimeToLive()` Deprecated. Returns the time (in seconds ) after which a message in the client queue will expire.
    `boolean` | `getNotifyBySubscription()` Deprecated. Answers whether or not this cache server should notify clients based on key subscription.
    `int` | `getPort()` Deprecated. Returns the port on which this cache server listens for clients to connect.
    `int` | `getSocketBufferSize()` Deprecated. Returns the configured buffer size of the socket connection for this `CacheServer`.
    `boolean` | `isRunning()` Deprecated. Returns whether or not this cache server is running
    `void` | `refresh()` Deprecated. Updates the information about this cache server.
    `void` | `setBindAddress(String address)` Deprecated. Sets the ip address or host name that this server is to listen on for client connections.
    `void` | `setGroups(String[] groups)` Deprecated. Sets the list of server groups this cache server will belong to.
    `void` | `setHostnameForClients(String name)` Deprecated. Sets the ip address or host name that this server is to listen on for client connections.
    `void` | `setLoadPollInterval(long loadPollInterval)` Deprecated. Set the frequency in milliseconds to poll the load probe on this cache server
    `void` | `setLoadProbe(ServerLoadProbe loadProbe)` Deprecated. Set the load probe for this cache server.
    `void` | `setMaxConnections(int maxCons)` Deprecated. Sets the maximum number of client connections allowed.
    `void` | `setMaximumMessageCount(int maxMessageCount)` Deprecated. Sets maximum number of messages that can be enqueued in a client-queue.
    `void` | `setMaximumTimeBetweenPings(int maximumTimeBetweenPings)` Deprecated. Sets the maximum amount of time between client pings.
    `void` | `setMaxThreads(int maxThreads)` Deprecated. Sets the maximum number of threads allowed in this server to service client requests.
    `void` | `setMessageTimeToLive(int messageTimeToLive)` Deprecated. Sets the time (in seconds) after which a message in the client queue will expire.
    `void` | `setNotifyBySubscription(boolean b)` Deprecated. Sets whether or not this cache server should notify clients based on key subscription.
    `void` | `setPort(int port)` Deprecated. Sets the port on which this cache server listens for clients to connect.
    `void` | `setSocketBufferSize(int socketBufferSize)` Deprecated. Sets the buffer size in bytes of the socket connection for this `CacheServer`.
    `void` | `start()` Deprecated. Starts this cache server.
    `void` | `stop()` Deprecated. Stops this cache server.

- - ### Method Detail

    - #### getPort

          int getPort()

      Deprecated.
      Returns the port on which this cache server listens for clients to connect.
      Returns:
        the port on which this cache server listens for clients to connect

    - #### setPort

          void setPort(int port)
                throws AdminException

      Deprecated.
      Sets the port on which this cache server listens for clients to connect.
      Parameters:
        `port` - the port on which this cache server listens for clients to connect
      Throws:
        `AdminException` - If this cache server is running

    - #### start

          void start()
              throws AdminException

      Deprecated.
      Starts this cache server. Once the server is running, its configuration cannot be changed.
      Throws:
        `AdminException` - If an error occurs while starting the cache server

    - #### isRunning

          boolean isRunning()

      Deprecated.
      Returns whether or not this cache server is running
      Returns:
        whether this cache server is running

    - #### stop

          void stop()
             throws AdminException

      Deprecated.
      Stops this cache server. Note that the `CacheServer` can be reconfigured and restarted if desired.
      Throws:
        `AdminException` - if an exception is encountered when stopping the cache server

    - #### refresh

          void refresh()

      Deprecated.
      Updates the information about this cache server.

    - #### getBindAddress

          String getBindAddress()

      Deprecated.
      Returns a string representing the ip address or host name that this server will listen on.
      Returns:
        the ip address or host name that this server is to listen on
      Since:
        GemFire 5.7

    - #### setBindAddress

          void setBindAddress(String address)
                       throws AdminException

      Deprecated.
      Sets the ip address or host name that this server is to listen on for client connections.

      Setting a specific bind address will cause the cache server to always use this address and ignore any address specified by "server-bind-address" or "bind-address" in the `gemfire.properties` file (see `DistributedSystem` for a description of these properties).

      A `null` value will be treated the same as the default "".

      The default value does not override the gemfire.properties. If you wish to override the properties and want to have your server bind to all local addresses then use this string `"0.0.0.0"`.

      Parameters:
        `address` - the ip address or host name that this server is to listen on
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getHostnameForClients

          String getHostnameForClients()

      Deprecated.
      Returns a string representing the ip address or host name that server locators will tell clients that this server is listening on.
      Returns:
        the ip address or host name to give to clients so they can connect to this server
      Since:
        GemFire 5.7

    - #### setHostnameForClients

          void setHostnameForClients(String name)
                              throws AdminException

      Deprecated.
      Sets the ip address or host name that this server is to listen on for client connections.

      Setting a specific hostname-for-clients will cause server locators to use this value when telling clients how to connect to this server.

      The default value causes the bind-address to be given to clients

      A `null` value will be treated the same as the default "".

      Parameters:
        `name` - the ip address or host name that will be given to clients so they can connect to this server
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### setNotifyBySubscription

          void setNotifyBySubscription(boolean b)
                                throws AdminException

      Deprecated.
      Sets whether or not this cache server should notify clients based on key subscription. If false, then an update to any key on the server causes an update to be sent to all clients. This update does not push the actual data to the clients. Instead, it causes the client to locally invalidate or destroy the corresponding entry. The next time the client requests the key, it goes to the cache server for the value. If true, then an update to any key on the server causes an update to be sent to only those clients who have registered interest in that key. Other clients are not notified of the change. In addition, the actual value is pushed to the client. The client does not need to request the new value from the cache server.
      Parameters:
        `b` - whether this cache server should notify clients based on key subscription
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getNotifyBySubscription

          boolean getNotifyBySubscription()

      Deprecated.
      Answers whether or not this cache server should notify clients based on key subscription.
      Returns:
        whether this cache server should notify clients based on key subscription
      Since:
        GemFire 5.7

    - #### setSocketBufferSize

          void setSocketBufferSize(int socketBufferSize)
                            throws AdminException

      Deprecated.
      Sets the buffer size in bytes of the socket connection for this `CacheServer`. The default is 32768 bytes.
      Parameters:
        `socketBufferSize` - The size in bytes of the socket buffer
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getSocketBufferSize

          int getSocketBufferSize()

      Deprecated.
      Returns the configured buffer size of the socket connection for this `CacheServer`. The default is 32768 bytes.
      Returns:
        the configured buffer size of the socket connection for this `CacheServer`
      Since:
        GemFire 5.7

    - #### setMaximumTimeBetweenPings

          void setMaximumTimeBetweenPings(int maximumTimeBetweenPings)
                                   throws AdminException

      Deprecated.
      Sets the maximum amount of time between client pings. This value is used by the `ClientHealthMonitor` to determine the health of this `CacheServer`'s clients. The default is 60000 ms.
      Parameters:
        `maximumTimeBetweenPings` - The maximum amount of time between client pings
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getMaximumTimeBetweenPings

          int getMaximumTimeBetweenPings()

      Deprecated.
      Returns the maximum amount of time between client pings. This value is used by the `ClientHealthMonitor` to determine the health of this `CacheServer`'s clients. The default is 60000 ms.
      Returns:
        the maximum amount of time between client pings.
      Since:
        GemFire 5.7

    - #### getMaxConnections

          int getMaxConnections()

      Deprecated.
      Returns the maximum allowed client connections
      Returns:
        the maximum number of client connections allowed
      Since:
        GemFire 5.7

    - #### setMaxConnections

          void setMaxConnections(int maxCons)
                          throws AdminException

      Deprecated.
      Sets the maximum number of client connections allowed. When the maximum is reached the server will stop accepting connections.
      Parameters:
        `maxCons` - the maximum number of client connections allowed
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getMaxThreads

          int getMaxThreads()

      Deprecated.
      Returns the maximum number of threads allowed in this server to service client requests. The default of `0` causes the server to dedicate a thread for every client connection.
      Returns:
        the maximum number of threads allowed in this server to service client requests
      Since:
        GemFire 5.7

    - #### setMaxThreads

          void setMaxThreads(int maxThreads)
                      throws AdminException

      Deprecated.
      Sets the maximum number of threads allowed in this server to service client requests. The default of `0` causes the server to dedicate a thread for every client connection.
      Parameters:
        `maxThreads` - the maximum number of threads allowed in this server to service client requests
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getMaximumMessageCount

          int getMaximumMessageCount()

      Deprecated.
      Returns the maximum number of messages that can be enqueued in a client-queue.
      Returns:
        maximum number of messages that can be enqueued in a client-queue.
      Since:
        GemFire 5.7

    - #### setMaximumMessageCount

          void setMaximumMessageCount(int maxMessageCount)
                               throws AdminException

      Deprecated.
      Sets maximum number of messages that can be enqueued in a client-queue.
      Parameters:
        `maxMessageCount` - maximum number of messages that can be enqueued in a client-queue.
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getMessageTimeToLive

          int getMessageTimeToLive()

      Deprecated.
      Returns the time (in seconds ) after which a message in the client queue will expire.
      Returns:
        the time (in seconds) after which a message in the client queue will expire
      Since:
        GemFire 5.7

    - #### setMessageTimeToLive

          void setMessageTimeToLive(int messageTimeToLive)
                             throws AdminException

      Deprecated.
      Sets the time (in seconds) after which a message in the client queue will expire.
      Parameters:
        `messageTimeToLive` - the time (in seconds) after which a message in the client queue will expire
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### setGroups

          void setGroups(String[] groups)
                  throws AdminException

      Deprecated.
      Sets the list of server groups this cache server will belong to. By default cache servers belong to the default global server group which all cache servers always belong to.
      Parameters:
        `groups` - possibly empty array of `String` where each string is a server groups that this cache server will be a member of.
      Throws:
        `AdminException` - if this cache server is running
      Since:
        GemFire 5.7

    - #### getGroups

          String[] getGroups()

      Deprecated.
      Returns the list of server groups that this cache server belongs to.
      Returns:
        a possibly empty array of `String`s where each string is a server group. Modifying this array will not change the server groups that this cache server belongs to.
      Since:
        GemFire 5.7

    - #### getLoadProbe

          String getLoadProbe()

      Deprecated.
      Get a description of the load probe for this cache server. `ServerLoadProbe` for details on the load probe.
      Returns:
        the load probe used by this cache server.
      Since:
        GemFire 5.7

    - #### setLoadProbe

          void setLoadProbe(ServerLoadProbe loadProbe)
                     throws AdminException

      Deprecated.
      Set the load probe for this cache server. See `ServerLoadProbe` for details on how to implement a load probe. The load probe should implement DataSerializable if it is used with this interface, because it will be sent to the remote VM.
      Parameters:
        `loadProbe` - the load probe to use for this cache server.
      Throws:
        `AdminException` - if the cache server is running
      Since:
        GemFire 5.7

    - #### getLoadPollInterval

          long getLoadPollInterval()

      Deprecated.
      Get the frequency in milliseconds to poll the load probe on this cache server.
      Returns:
        the frequency in milliseconds that we will poll the load probe.

    - #### setLoadPollInterval

          void setLoadPollInterval(long loadPollInterval)
                            throws AdminException

      Deprecated.
      Set the frequency in milliseconds to poll the load probe on this cache server
      Parameters:
        `loadPollInterval` - the frequency in milliseconds to poll the load probe. Must be greater than 0.
      Throws:
        `AdminException` - if the cache server is running